stages:
  - build
  - test
build:
  image: docker:20.10.16  
  stage: build
  tags:
    - docker
  script:
    - docker build -t ${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_NAME} .
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker push ${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_NAME}

  only:
    - pushes
    - merge_requests


test:
  image: ubuntu:20.04
  stage: test
  tags:
    - shell
  script:
    - echo "Test"
  
  only:
    - pushes
    - merge_requests

